## org.apache.poi.hwpf.usermodel
Class TableAutoformatLookSpecifier

    java.lang.Object
      org.apache.poi.hwpf.model.types.TLPAbstractType
          org.apache.poi.hwpf.usermodel.TableAutoformatLookSpecifier

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.poi.hdf.model.hdftypes.HDFType

    public class TableAutoformatLookSpecifier

extends TLPAbstractType
implements java.lang.Cloneable

Field Summary
`static int` `SIZE`

Fields inherited from class org.apache.poi.hwpf.model.types.TLPAbstractType
`field_1_itl, field_2_tlp_flags`

Constructor Summary
`TableAutoformatLookSpecifier()`
`TableAutoformatLookSpecifier(byte[] data, int offset)`

Method Summary
`TableAutoformatLookSpecifier` `clone()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isEmpty()`

Methods inherited from class org.apache.poi.hwpf.model.types.TLPAbstractType
`fillFields, getItl, getSize, getTlp_flags, isFBestFit, isFBorders, isFColor, isFFont, isFHdrRows, isFLastRow, isFShading, serialize, setFBestFit, setFBorders, setFColor, setFFont, setFHdrRows, setFLastRow, setFShading, setItl, setTlp_flags, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### TableAutoformatLookSpecifier

    public TableAutoformatLookSpecifier()

### TableAutoformatLookSpecifier

    public TableAutoformatLookSpecifier(byte[] data,
                                        int offset)

Method Detail

### clone

    public TableAutoformatLookSpecifier clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.